libssh 0.9.5 The SSH library

Functions
The SSH threading functions.
The libssh API

## Functions
int | ssh_threads_init (void)
void | ssh_threads_finalize (void)
int | ssh_threads_set_callbacks (struct ssh_threads_callbacks_struct *cb)
| Set the thread callbacks structure. More...
const char * | ssh_threads_get_type (void)

## Detailed Description

Threading with libssh

## Function Documentation

## ◆ ssh_threads_set_callbacks()

int ssh_threads_set_callbacks | ( | struct ssh_threads_callbacks_struct * | cb | ) |

Set the thread callbacks structure.

This is necessary if your program is using libssh in a multithreaded fashion. This function must be called first, outside of any threading context (in your main() function for instance), before you call ssh_init().

Parameters

  [in] | cb | A pointer to a ssh_threads_callbacks_struct structure, which contains the different callbacks to be set.

Returns
  Always returns SSH_OK.

See also
  ssh_threads_callbacks_struct
  SSH_THREADS_PTHREAD

Bug:
  libgcrypt 1.6 and bigger backend does not support custom callback. Using anything else than pthreads here will fail.